Skip to main content
Update Deal Custom Field
curl --request PATCH \
  --url https://integration.getmateo.com/api/v1/deal_custom_field \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "now()",
  "updated_at": "now()",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "value": "<string>",
  "date_value": "2023-12-25",
  "string_value": "<string>",
  "number_value": 123,
  "boolean_value": true,
  "datetime_value": "<string>",
  "string_list_value": [
    "<string>"
  ]
}
'
import requests

url = "https://integration.getmateo.com/api/v1/deal_custom_field"

payload = {
"deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"date_value": "2023-12-25",
"string_value": "<string>",
"number_value": 123,
"boolean_value": True,
"datetime_value": "<string>",
"string_list_value": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deal_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_field_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
key: '<string>',
value: '<string>',
date_value: '2023-12-25',
string_value: '<string>',
number_value: 123,
boolean_value: true,
datetime_value: '<string>',
string_list_value: ['<string>']
})
};

fetch('https://integration.getmateo.com/api/v1/deal_custom_field', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "custom_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "now()",
  "updated_at": "now()",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "key": "<string>",
  "value": "<string>",
  "date_value": "2023-12-25",
  "string_value": "<string>",
  "number_value": 123,
  "boolean_value": true,
  "datetime_value": "<string>",
  "string_list_value": [
    "<string>"
  ]
}
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

select
string

Select columns to return

deal_id
string

Deal ID

custom_field_id
string

Custom field ID

created_at
string

Deal custom field creation date

updated_at
string

Latest update

organisation_id
string

Organisation ID

key
string

Deal custom field key

value
string

Value of deal custom field

date_value
string

Date value

string_value
string

String value

number_value
string

Number value

boolean_value
string

Boolean value

datetime_value
string

Datetime value

string_list_value
string

String list value

Body

application/json

deal_custom_field

deal_id
string<uuid>

Deal ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Deal custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text> | null

Deal custom field key

value
string<text> | null

Value of deal custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value

Response

The updated Deal Custom Field object

deal_id
string<uuid>

Deal ID

custom_field_id
string<uuid>

Custom field ID

created_at
string<timestamp with time zone>
default:now()

Deal custom field creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

key
string<text> | null

Deal custom field key

value
string<text> | null

Value of deal custom field

date_value
string<date> | null

Date value

string_value
string<text> | null

String value

number_value
number<numeric> | null

Number value

boolean_value
boolean<boolean> | null

Boolean value

datetime_value
string<timestamp with time zone> | null

Datetime value

string_list_value
string[] | null

String list value